Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1656237 - Cluster Admin Console gives error "Application is not available: The application is currently not serving requests at this endpoint. It may not have been started or is still starting."
Summary: Cluster Admin Console gives error "Application is not available: The applicat...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 01:07 UTC by Candace Sheremeta
Modified: 2019-10-23 15:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-12 16:09:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of error (81.73 KB, image/png)
2018-12-05 01:07 UTC, Candace Sheremeta
no flags Details

Description Candace Sheremeta 2018-12-05 01:07:18 UTC
Created attachment 1511511 [details]
screenshot of error

Description of problem:

On OCP 3.11 deployments, the Cluster Admin Console (which should be installed by default) does not seem to work, and gives the error seen in the screenshot. I have tried this on two different 3.11 deployments, and I have a customer hitting this issue as well.

oc logs for openshift-console pod in sharedocp311.lab.rdu.cee.redhat.com only show:

2018/12/5 00:32:03 server: authentication failed: http: named cookie not present

attaching screenshot of error and output from `oc describe all` in openshift-console namespace from quicklab 3.11 deployment

I am also asking the cu to provide the output of `oc describe all` from their openshift-console project. please let me know what else we can provide.

Comment 2 Samuel Padgett 2018-12-05 02:41:32 UTC
Can you check that the `consoleBaseAddress` in config map `console-config` in the `openshift-console` namespace matches what you expect? It should be the same as the hostname of route `console`. (I don't think it matches from the screenshot.)

If `consoleBaseAddress` is wrong, update the config map with the correct value and delete the current console pod to force a reload of the config.


Note You need to log in before you can comment on or make changes to this bug.